Teaching Software requirements 2017/18

The project is now complete - see TeachingSoftware2017Report

Key

field purpose
Course Course Code
Semester Taught in Semester
Lecturer Course Lecturer
Software Software required for course
Change/no change/new Version changes or new software
Status Upgrade or installation (or not) status
RT RT ticket relating to request
DB Yes if Theon updated with changes

colour meaning
New Software New software required
New Version New software version or checks required
No Change No change this time or all done

Software Requirements

Course Semester Lecturer Software Change/no change/new Status RT
AILP S1 smaill Python 3.4-compatible version of python-igraph possible new software Checks required RT:79551
CP S1 jcb gcc, SDL, SDL-devel Check for SDL2 availability all installed, environment setup via defenv RPM. RT:83673 RT:84736
ITCS S2 jcb Nowt no change Nothing required RT:83674
CD S1 npt Xilinx Vivado Design Suite, version 2015.3 (64-bit), USB drivers for connecting ZYBO boards to DICE machines no change installed RT:83675
MLPR S1 imurray2 Matlab, latest version you can install. Python 2.7 with recent-ish NumPy , SciPy and Matplotlib. Ideally: Python 3.5 with NumPy >= 1.10, + scipy and matplotlib., octave, pandoc, also PS NumPy (and Octave) should be linked to a fast BLAS implementation Checks needed for versions and numpy usability py2.7 stack only (rest via pip3); fast BLAS under test RT:83676
CDI1 S1 mwolters access to R (I will specify the packages later) and Processing Need to check R version and availability processing added; R modules to be self-installed RT:83677
CDI2 S1 rhill2 access to R (I will specify the packages later) and Processing Need to check R version and availability processing added; R modules to be self-installed RT:83677
THF S2 mwolters access to R (I will specify the packages later) and Processing   processing added; R modules to be self-installed RT:83677
ALE1 S2 helen Nowt no change Nothing required RT:83680
RSS S1 zli33 Nowt no change Nothing required RT:83682
PERP S1 mic Nowt no change Nothing required RT:83688
INF1-FP S1 dts cabal-install ghc and ghci (7.10.2 or later) atom (1.10 or later) and customisation to support Haskell (discussed with Iain Rae last year, [rt #78977]) If possible, all of these should also be available on IS public lab machines and on the PC in George Square Lecture Theatre. Multiple checks and installs, IS labs too atom installed. "apm" commands to be provided. ghc upgraded atom upgraded; binary rebuild and exam APM setup needing done RT:83691 RT:84317
ASR S2 srenals Kaldi - https://github.com/kaldi-asr/kaldi - available both from regular DICE machines and from msccluster. For msccluster is should be compiled to be able to use CUDA. It needs to be compiled against Atlas/OpenBLAS and the openfst library, and would be good if the optional IRSTLM package could be installed to. Multiple checks and installs New software and checks required RT:83692
PPLS S2 mic OpenMPI ; present version (1.10.3) buggy Upgrade to non-buggy version New software and checks required RT:83693 RT:85618
IPP S2 mvanross Nowt no change Nothing required RT:83695
IRR S1 mvanross Nowt no change Nothing required RT:83696
NC S1 mvanross Neuron and, preferably Octave. Upgrade of octave required. Neuron is present. Upgraded; octave checks may be required RT:83697
NIP S2 mvanross Nowt no change Nothing required RT:83698
CSLP S1 stg Android studio in the version in the 3.0 series, plus on IS public lab machines if possible. Upgrade of Android Studio Upgraded software RT:83703
SELP S1 stg Android studio in the version in the 3.0 series, plus on IS public lab machines if possible. Upgrade of Android Studio Upgraded software RT:83703
FNLP S2 alex Python 2.7 or 3.5, NLTK, please provide on IS public lab machines too Looks like all there (needs to go on IS labs too) py2.7 stack OK RT:83705
INF2D S2 alex Prolog (so as to run the prolog implmentation of golog) please provide on IS public lab machines too Looks like all there (needs to go on IS labs too) prolog is there RT:83706
BIO1 S1 mhennig Biopython Jupyter notebook matplotlib, latest stable versions Check if stable versions can be upgraded Checks required RT:83722
BIO2 S2 mhennig Biopython Jupyter notebook matplotlib, latest stable versions Check if stable versions can be upgraded Checks required RT:83722
IQC S1 pwallden Mono and F#, LiQuiD , latest stable versions Install new packages Mono and F# installed; LiQuiD prohib by licence RT:83727
EXC S1 kheafiel Hadoop (same as last year should be fine), GNU parallel new enough to use --gnu by default (i.e. not the stale Scientific Linux package), and pv that supports the -d option. Also, "and additional help from a CO." Possible upgrades Updated software, Hadoop functioning, Queue to be monitored where possible. RT:83732 RT:81644
CT S1 cdubach - CMake Version 3.4.3 or higher, plus extra 30G disk quota per student Upgrade cmaks plus extra quota done RT:83809
PM S2 jeh Matlab & Eclipse current versions are fine no change Nothing required RT:84043
ANLP S1 sgwater Python 3 (I think 3.4 should be ok) iPython nltk nltk_data numpy scipy matplotlib all upgraded to work with python3 Multiple upgrades plus let Sharon know which nltk Upgraded software required RT:84064
INF2A S1 jrl, scohen * java and javac (the default versions are fine) * python (again the default version is fine) * Natural Language Toolkit (nltk) - existing versions of all OK. no change Nothing required RT:84305
TSPL S1 wadler coqide New version required Done RT:84658
IJP S1 dcspaul java-1.8.0-sun, Eclipse, BlueJ , Gluon Scenebuilder New versions required Done RT:83679
TTDS S1 wmagdy 1. Unix OS 2. Python 3. Perl 4. Excel 5. Indri toolkit: https://www.lemurproject.org/indri.php#download New software required Need to install indri RT:84801
AR S1 jdf Latest isabelle Upgrade of isabelle required Upgrade isabelle RT:84954
RSS S1 zli33 'libusb-dev', 'libphidget22' library including the python bindings, 'libusb-dev' as a dependency Installation of multiple libraries Library installations RT:84975
SDP S2 jeh Arduinoide (if possible an updated version - currently 1.0.6) Opencv Vlc Xawtv Minicom or other suitable Terminal program for serial port use mplayer/mencoder (if possible) ROS Graham Dutton's VLC based video streaming scripts Upgrade of arduino plus streaming script checks Upgrades and checks required RT:85610
INF1-DA S2 stark The "Open Corpus Workbench" (ocwb) from http://cwb.sourceforge.net/ It's the "cqp" command-line tool we specifically need. Latest. Command "dia", LibreOffice Draw and Base, PostgreSQL, the pgteach.inf.ed.ac.uk server, and the inf1da database there. Checks required Just checks of existing stuff RT:85611
NIP S2 mvanross None Nothing Nothing RT:85612
IPP S2 mvanross None Nothing Nothing RT:85613
INF2D S2 salbrec2 Haskell (latest) Already installed Nothing RT:85615
DME S2 aonken Matlab, latest version you can install. Python 2.7 with recent-ish NumPy , SciPy and Matplotlib. Ideally: Python 3.5 with NumPy >= 1.10, + scipy and matplotlib., octave, pandoc, also PS NumPy (and Octave) should be linked to a fast BLAS implementation Same as MLPR Checks required RT:85616
INF1-OP S2 vseeker Eclipse Latest (4.5?) - Java/javac (Java8) - JUnit (Junit4) Eclipse 4.7 available Nothing RT:85617
INF1-CG S2 clucas2 Nothing extra Extra 3G for module duration Additional module-inf1-cg entry required in quotas map RT:85625
PMR S2 mgutmann Matlab, latest version you can install. Python 2.7 with recent-ish NumPy , SciPy and Matplotlib. Ideally: Python 3.5 with NumPy >= 1.10, + scipy and matplotlib., octave, pandoc, also PS NumPy (and Octave) should be linked to a fast BLAS implementation Checks needed py2.7 stack only (rest via pip3); fast BLAS under test RT:85652

-- RichardBell - 07 Oct 2016

Topic revision: r18 - 04 Jul 2018 - 09:39:04 - RichardBell
 
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback
This Wiki uses Cookies